Ask Your Question
1

unable to locate package ros-electric-brown-drivers

asked 2012-06-09 03:02:56 -0500

allmin123 gravatar image

updated 2012-06-13 18:28:05 -0500

Eric Perko gravatar image

$ sudo apt-get install ros-electric-brown-drivers Reading package lists... Done Building dependency tree
Reading state information... Done E: Unable to locate package ros-electric-brown-drivers

edit retag flag offensive close merge delete

Comments

can anyone suggest how to fix this??

allmin123 gravatar image allmin123  ( 2012-06-09 03:03:36 -0500 )edit

What OS are you using? Do other ROS stacks install fine?

piyushk gravatar image piyushk  ( 2012-06-10 06:47:55 -0500 )edit

According to the status page ( http://www.ros.org/debbuild/electric.html ), the brown drivers stack is building fine and should be available.

Eric Perko gravatar image Eric Perko  ( 2012-06-10 09:13:06 -0500 )edit

I am using Ubuntu Precise..... I cannot install other ros stacks either

allmin123 gravatar image allmin123  ( 2012-06-13 06:23:26 -0500 )edit

2 Answers

Sort by ยป oldest newest most voted
2

answered 2012-06-13 06:36:37 -0500

Ubuntu Precise does not support ROS Electric (see REP 3)

You should first follow the general instructions for installing ROS Fuerte before installing brown drivers. The brown drivers stack should be available on Fuerte (see fuerte debbuild status).

edit flag offensive delete link more
2

answered 2012-06-11 08:42:57 -0500

Rydel gravatar image

updated 2012-06-11 08:45:06 -0500

http://www.ros.org/wiki/electric/Installation/Ubuntu

In the above link be sure to do step 1.2, 1.3 and

$ sudo apt-get update

then

$ sudo apt-get install ros-electric-brown-drivers

If that doesn't work follow the complete tutorial in the above link.

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

Stats

Asked: 2012-06-09 03:02:56 -0500

Seen: 989 times

Last updated: Jun 13 '12